Check whether the current element is valid

- « LimitIterator::seek

- MultipleIterator »

- PHP Manual
- LimitIterator
- Check whether the current element is valid

# LimitIterator::valid

(PHP 5 >= 5.1.0, PHP 7, PHP 8)

LimitIterator::valid — Check whether the current element is valid

### Description

public LimitIterator::valid(): bool

Checks whether the current element is valid.

### Parameters

This function has no parameters.

### Return Values

Returns `true` on success or `false` on failure.

### See Also

- LimitIterator::current() - Get current element
- LimitIterator::key() - Get current key
- LimitIterator::rewind() - Rewind the iterator to the specified starting offset
- LimitIterator::next() - Move the iterator forward
- LimitIterator::seek() - Seek to the given position